Loading...
Searching...
No Matches
Opm::Elasticity::MortarBlockEvaluator< T > Class Template Reference

This implements a operator evaluation for the schur mortar-block S = B^T*A^-1*B ! More...

`#include <mortar_schur.hpp>`

Inheritance diagram for Opm::Elasticity::MortarBlockEvaluator< T >:

## Public Member Functions

| MortarBlockEvaluator (T &Ai_, const Matrix &B_)
| Constructor.
void | apply (const Vector &x, Vector &y) const override
| Apply the multiplier block.
void | applyscaleadd (field_type alpha, const Vector &x, Vector &y) const override
| Apply the multiplier block with an embedded axpy.
Dune::SolverCategory::Category | category () const override

## Protected Attributes

T & | Ai
| Reference to solver or evaluator for inverse operator.
const Matrix & | B
| Reference to the mortar coupling matrix.
OperatorApplier< T > | op
| Applier for the preconditioner / inverse solver.

## Detailed Description

template<class T>
class Opm::Elasticity::MortarBlockEvaluator< T >

This implements a operator evaluation for the schur mortar-block S = B^T*A^-1*B !

## Constructor & Destructor Documentation

## MortarBlockEvaluator()

template<class T>

Opm::Elasticity::MortarBlockEvaluator< T >::MortarBlockEvaluator | ( | T & | Ai_,
|  | const Matrix & | B_ )

inline

Constructor.

Parameters

  [in] | Ai_ | Solver or preconditioner for A^-1
  [in] | B_ | The mortar coupling matrix

## Member Function Documentation

## apply()

template<class T>

void Opm::Elasticity::MortarBlockEvaluator< T >::apply | ( | const Vector & | x,
|  | Vector & | y ) const

inline override

Apply the multiplier block.

Parameters

  [in] | x | The vector to apply the operator to
  [out] | y | The result of the operator evaluation

## applyscaleadd()

template<class T>

void Opm::Elasticity::MortarBlockEvaluator< T >::applyscaleadd | ( | field_type | alpha,
|  | const Vector & | x,
|  | Vector & | y ) const

inline override

Apply the multiplier block with an embedded axpy.

Parameters

  [in] | alpha | The scalar to scale with
  [in] | x | The vector to apply the operator to
  [out] | y | The result of the operator evaluation

The documentation for this class was generated from the following file:

- opm/elasticity/mortar_schur.hpp